PrintPreviewModel (jEdit API Documentation)

Package org.gjt.sp.jedit.print

## Class PrintPreviewModel

- java.lang.Object
- - java.awt.print.PageFormat
  - - org.gjt.sp.jedit.print.PrintPreviewModel

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class PrintPreviewModel
      extends java.awt.print.PageFormat

  Data model for the print preview pane, contains setters and getters for the print preview display.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PrintPreviewModel.Zoom` |

  - ### Field Summary

    - ### Fields inherited from class java.awt.print.PageFormat

      `LANDSCAPE, PORTRAIT, REVERSE_LANDSCAPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrintPreviewModel()` |
    `PrintPreviewModel​(View view, Buffer buffer, javax.print.PrintService printService, javax.print.attribute.PrintRequestAttributeSet attributes, java.util.HashMap<java.lang.Integer,​Range> pageRanges)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.print.attribute.PrintRequestAttributeSet` | `getAttributes()` | Returns the value of attributes.
    `Buffer` | `getBuffer()` | Returns the value of buffer.
    `java.awt.Graphics` | `getGraphics()` |
    `int` | `getPageNumber()` |
    `java.util.HashMap<java.lang.Integer,​Range>` | `getPageRanges()` |
    `PrintRangeType` | `getPrintRangeType()` |
    `javax.print.PrintService` | `getPrintService()` | Returns the value of printService.
    `View` | `getView()` | Returns the value of view.
    `PrintPreviewModel.Zoom` | `getZoom()` |
    `float` | `getZoomLevel()` |
    `void` | `setAttributes​(javax.print.attribute.PrintRequestAttributeSet attributes)` | Sets the value of attributes.
    `void` | `setBuffer​(Buffer buffer)` | Sets the value of buffer.
    `void` | `setGraphics​(java.awt.Graphics g)` |
    `void` | `setPageNumber​(int number)` |
    `void` | `setPageRanges​(java.util.HashMap<java.lang.Integer,​Range> pageRanges)` |
    `void` | `setPrintRangeType​(PrintRangeType type)` |
    `void` | `setPrintService​(javax.print.PrintService printService)` | Sets the value of printService.
    `void` | `setView​(View view)` | Sets the value of view.
    `void` | `setZoom​(PrintPreviewModel.Zoom zoom)` |
    `void` | `setZoomLevel​(float level)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.awt.print.PageFormat

      `clone, getHeight, getImageableHeight, getImageableWidth, getImageableX, getImageableY, getMatrix, getOrientation, getPaper, getWidth, setOrientation, setPaper`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintPreviewModel

          public PrintPreviewModel()

    - #### PrintPreviewModel

          public PrintPreviewModel​(View view,
                                   Buffer buffer,
                                   javax.print.PrintService printService,
                                   javax.print.attribute.PrintRequestAttributeSet attributes,
                                   java.util.HashMap<java.lang.Integer,​Range> pageRanges)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getPageNumber

          public int getPageNumber()

    - #### setPageNumber

          public void setPageNumber​(int number)

    - #### getPageRanges

          public java.util.HashMap<java.lang.Integer,​Range> getPageRanges()

    - #### setPageRanges

          public void setPageRanges​(java.util.HashMap<java.lang.Integer,​Range> pageRanges)

    - #### setPrintRangeType

          public void setPrintRangeType​(PrintRangeType type)

    - #### getPrintRangeType

          public PrintRangeType getPrintRangeType()

    - #### getPrintService

          public javax.print.PrintService getPrintService()

      Returns the value of printService.

    - #### setPrintService

          public void setPrintService​(javax.print.PrintService printService)

      Sets the value of printService.
      Parameters:
        `printService` - The value to assign printService.

    - #### getAttributes

          public javax.print.attribute.PrintRequestAttributeSet getAttributes()

      Returns the value of attributes.

    - #### setAttributes

          public void setAttributes​(javax.print.attribute.PrintRequestAttributeSet attributes)

      Sets the value of attributes.
      Parameters:
        `attributes` - The value to assign attributes.

    - #### getView

          public View getView()

      Returns the value of view.

    - #### setView

          public void setView​(View view)

      Sets the value of view.
      Parameters:
        `view` - The value to assign view.

    - #### getBuffer

          public Buffer getBuffer()

      Returns the value of buffer.

    - #### setBuffer

          public void setBuffer​(Buffer buffer)

      Sets the value of buffer.
      Parameters:
        `buffer` - The value to assign buffer.

    - #### setGraphics

          public void setGraphics​(java.awt.Graphics g)

    - #### getGraphics

          public java.awt.Graphics getGraphics()

    - #### getZoom

          public PrintPreviewModel.Zoom getZoom()

    - #### setZoom

          public void setZoom​(PrintPreviewModel.Zoom zoom)

    - #### setZoomLevel

          public void setZoomLevel​(float level)

    - #### getZoomLevel

          public float getZoomLevel()